Imports System.Data.SqlClient
Imports System.IO
Module SQL_Module
    Public ConString, ConString1, ConString2 As String
    Public SQL1 As String : Public SQL2 As String : Public SQL3 As String
    Public conn As New SqlConnection : Public cmd As New SqlCommand : Public dr As SqlDataReader : Public da As New SqlDataAdapter
    Public DTP As String : Public DTP1 As String : Public DTP2 As String : Public DTP3 As String
    Public 登入權限 As String = ", 使用者權限管理表.CC01, 使用者權限管理表.CC02, 使用者權限管理表.CC03, 使用者權限管理表.CC04, 使用者權限管理表.CC05, 使用者權限管理表.CC06, 
                        使用者權限管理表.CC07, 使用者權限管理表.CC08, 使用者權限管理表.CC09, 使用者權限管理表.CC10, 使用者權限管理表.CC11, 使用者權限管理表.CC12, 使用者權限管理表.CC13, 
                        使用者權限管理表.CC14, 使用者權限管理表.CC15, 使用者權限管理表.CC16, 使用者權限管理表.CC17, 使用者權限管理表.CC18, 使用者權限管理表.CC19, 使用者權限管理表.CC20, 
                        使用者權限管理表.CC21, 使用者權限管理表.CC22, 使用者權限管理表.CC23, 使用者權限管理表.CC24, 使用者權限管理表.CC25, 使用者權限管理表.CC26, 使用者權限管理表.CC27, 
                        使用者權限管理表.CC28, 使用者權限管理表.CC29"
    Public 權限數量 As Integer = 29
    Friend Sub ConnOpen()
        conn.Close() : If conn.State = ConnectionState.Closed Then : conn.ConnectionString = ConString : conn.Open() : End If
    End Sub
    Friend Sub ConnOpen_ERP()
        conn.Close() : If conn.State = ConnectionState.Closed Then : conn.ConnectionString = ConString1 : conn.Open() : End If
    End Sub
    Friend Sub ConnOpen_圖庫SQL()
        conn.Close() : If conn.State = ConnectionState.Closed Then : conn.ConnectionString = ConString2 : conn.Open() : End If
    End Sub
    Friend Sub CmdSet_For_DGV()
        cmd.Connection = conn : cmd.CommandText = SQL1 : da.SelectCommand = cmd
    End Sub
    Friend Sub CmdSet_For_dr()
        cmd.CommandText = SQL1 : cmd.Connection = conn : dr = cmd.ExecuteReader
    End Sub
    Friend Sub CmdSet_For_dr_pic()
        Dim fs As FileStream : fs = File.OpenRead(PA49) : Dim picb(fs.Length) As Byte : fs.Read(picb, 0, fs.Length) : fs.Close() : cmd.Parameters.Clear()
        cmd.CommandText = SQL1 : cmd.Parameters.Add("@binary_file", SqlDbType.VarBinary).Value = picb : cmd.Connection = conn : dr = cmd.ExecuteReader
    End Sub
End Module
